package media

import (
	"easyaudioencode/internal/core/host"
	"git.lnton.com/lnton/pluginsdk/pkg/plugin"
)

// var _ protocol.RecordReader = (*Core)(nil)

type Core struct {
	Plugin *plugin.PluginSDK
}

func NewCore(HostCore *host.Core) *Core {
	return &Core{
		Plugin: HostCore.Plugin,
	}
}
